; DUMP
; will dump the properties & methods of the given object
;
; can also call dump function to list non graphical objects
; e.g.
; (dump (vlax-get-Acad-Object))
(defun dump (obj)
	(vlax-dump-object obj T)
); end DEFUN dump

; C:DUMP
; Dumps the properties & methods of the selected entity
; or returns details on the current ACAD application
; The dumped object is saved to a LISP variable called *MyDump*


(defun C:DUMP ( / ent)
 (vl-load-com)
 (setq ent (car(entsel "Pick entity to dump propeties/<ACAD Application>: "))) ; ask the user to pick an entity/object
 (if ent ; if the user has selected an object then proceed
	(setq *MyDump* (vlax-ename->vla-object ent))
	(setq *MyDump* (vlax-get-acad-object))
 ); end if 
 (dump *MyDump*)
 (princ "\nObject name saved to *MyDump*")
(textscr)
(princ)
)

(princ "\nDUMP object loaded, Command(s): DUMP")
(princ)